#ifndef _CAMERA_H
#define _CAMERA_H

class Camera
{
public:

	float pos_x, pos_y, pos_z;
	float tar_x, tar_y, tar_z;
	
	Camera();
	Camera(float xa, float ya, float za, float xb, float yb, float zb);

	void SetPosition(float x, float y, float z);
	void SetTarget(float x, float y, float z);
};

Camera::Camera()
{
	pos_x = 0; pos_y = 0; pos_z = 0;
	tar_x = 0; tar_y = 0; tar_z = 0;
}

Camera::Camera(float xa, float ya, float za, float xb, float yb, float zb)
{
	pos_x = xa; pos_y = ya; pos_z = za;
	tar_x = xb; tar_y = yb; tar_z = zb;
}

void Camera::SetPosition(float x, float y, float z)
{
	pos_x = x; pos_y = y; pos_z = z;
}

void Camera::SetTarget(float x, float y, float z)
{
	tar_x = x; tar_y = y; tar_z = z;
}

#endif